<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('dragon_user', function (Blueprint $table) {
            $table->id();
            $table->integer('dragon_id')->comment('接龙id');
            $table->integer('user_id')->comment('用户id');
            $table->string('name')->comment('姓名');
            $table->string('invite_name')->comment('邀约人姓名');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('dragon_user');
    }
};
